
;***************************************************************
;* Avtor:    Vladimir Naumenko, E-mail:     mag58@list.ru
;* 31.01.10
;* Proekt:"Alarm_6",        :
;* - ""  ,
;* -   PB2   "Mobil" 
;*         Alarm
;* -   PB0,   
;*         .
;*
;*       ,  
;*       
;*  "  "   = 45 .
;*          = 4,5 
;*    1 = 45 .
;*    
;*      0,2.=2
;*    0.2  =5
;* chip: ATtiny13 
;* Frequensy - 128/8 kHz (external  RC-Oscillator).
;***************************************************************
.include "tn13def.inc"       	 		                      
;-------------------         

.equ  Light 	  =0		  ;PB0	Light  Output
.equ  Alarm       =1          ;PB1	Alarm  Output
.equ  Mobil       =2   	      ;PB2    Output Led  Mobil 
.equ  SW          =3  	      ;PB3  I nput sensor
.equ  Led         =4   	      ;PB4    Output Led

.def  temp        =r16        ;r16    temprary register

;***************************************************************
.cseg                         ;      ;
.org 0
        rjmp Reset

;-------------------    ---------------------------

Reset:  ldi   temp,RAMEND	 ; 	     ; 
	    out   SPL,temp  
;------------------   inicializaciya  PORTB   -----------------
    	ldi     temp,0b11110111 
	    out     DDRB,temp		  ; ,.
	                              ; P3 , .	;
    	Com		temp              ;  temp
	    out     PORTB,temp        ;   P3                    
;<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<
;                 
;>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       sbi      PORTB,Light ; ,(  )
       sbi      PORTB,Led  ; -   
       rjmp     TTT
                          ;    = 45 Sek.      

main:  sbis 	PINB,SW   ; ,  .
       rjmp	    nnn       
;----------------------------------------------------------------------------
	   rcall    delay	;     (1,125 * 4 = 4,5 )
	   rcall    delay
	   sbi      PORTB,Mobil ;    .
       rcall    delay		;  PB2  = 2,3 .
	   rcall    delay
	   cbi      PORTB,Mobil ;    PB2
;------------------------------------------------------------------------------
wt:    sbi      PORTB,Alarm ;  , 
       Set					;  ,   
	   
;------------------------------------------------------------------------------
TTT:   rcall    delay4	  ;     
       rcall    delay4
       rcall    delay4    ;   = 45 Sek.(delay4  3 )        
;-------------------------------------------------------------------------------
	   cbi      PORTB,Light ;    .
nnn :  brbs      6,vvv	  ;    (  1 )
       
	   rcall    delay     ;     " Led "   
       
vvv:   rcall    delay2    ;    ,
                          ;    2- -  -Led
            

       sbi      PORTB,Led  ;  - * - Led
      
       rcall    delay2	   ;   * Led, 
                           ;=5  ,   (1- -  -Led)

       out	    PORTB,temp ;  ,  .
       rjmp 	main       ;     

;-----    "Led"    =  1,125.----------

delay:  ldi     XL,Low  (4500)     
        ldi     XH,high (4500)
del:    sbiw    XL,1
        brne    del
        ret 

;-----      "Led" =0,2  -----

delay2: ldi     XL,Low  (800)     
        ldi     XH,high (800)
mm:     sbiw    XL,1
        brne    mm
        ret

;-----     T = 15 Sek. -----------

delay4: ldi     XL,Low  (60000)     
        ldi     XH,high (60000)
del_:   sbiw    XL,1
        brne    del_
        ret

   
;*************************************************************** 
